## org.apache.lucene.swing.models
Class ListSearcher

    java.lang.Object
      javax.swing.AbstractListModel
          org.apache.lucene.swing.models.ListSearcher

All Implemented Interfaces:
  Serializable, ListModel

    public class ListSearcher

extends AbstractListModel

See table searcher explanation.

Author:
  Jonathan Simon - jonathan_s_simon@yahoo.com
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`ListSearcher(ListModel newModel)`

Method Summary
`Analyzer` `getAnalyzer()`
`Object` `getElementAt(int index)`
`int` `getSize()`
`void` `search(String searchString)` Run a new search.
`void` `setAnalyzer(Analyzer analyzer)`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListSearcher

    public ListSearcher(ListModel newModel)

Method Detail

### search

    public void search(String searchString)

  Run a new search.

  Parameters:
    `searchString` - Any valid lucene search string

### getAnalyzer

    public Analyzer getAnalyzer()

  Returns:
    The current lucene analyzer

### setAnalyzer

    public void setAnalyzer(Analyzer analyzer)

  Parameters:
    `analyzer` - The new analyzer to use

### getSize

    public int getSize()

### getElementAt

    public Object getElementAt(int index)

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.